import 'package:flutter/material.dart';

class WowTextStyle {
  const WowTextStyle._();

  static late TextTheme _textTheme;

  static initTextTheme(TextTheme textTheme) {
    _textTheme = textTheme;
  }

  static const TextStyle _defaultTitle = TextStyle(
    color: Colors.black,
    fontSize: 18,
    fontWeight: FontWeight.bold,
  );

  static const TextStyle _defaultBody = TextStyle(
    color: Colors.black,
    fontSize: 14,
    fontWeight: FontWeight.normal,
  );

  static const TextStyle _defaultLabel = TextStyle(
    color: Colors.grey,
    fontSize: 12,
    fontWeight: FontWeight.normal,
  );

  /// Thường dùng cho tiêu đề appbar
  static TextStyle get title => _textTheme.headlineSmall ?? _defaultTitle;

  /// Dùng cho các loại nút
  static TextStyle get button =>
      _textTheme.bodyLarge?.copyWith(fontWeight: FontWeight.bold) ??
      _defaultBody;

  /// Dùng cho tiêu đề trong danh sách, tiêu đề nhỏ
  static TextStyle get listTitle => _textTheme.titleLarge ?? _defaultBody;

  /// Dùng cho văn bản trong 1 nội dung danh sách,
  /// lớn hơn văn bản thường
  static TextStyle get listItem => _textTheme.bodyLarge ?? _defaultBody;

  /// Văn bản thông thường
  static TextStyle get body => _textTheme.bodyMedium ?? _defaultBody;

  /// Dùng cho văn bản phụ
  static TextStyle get caption => _textTheme.bodySmall ?? _defaultBody;

  /// Văn bản nhỏ hơn văn bản mặc định
  static TextStyle get labelLarge => _textTheme.labelLarge ?? _defaultLabel;

  /// Văn bản nhỏ
  static TextStyle get label => _textTheme.labelMedium ?? _defaultLabel;

  /// Văn bản siêu nhỏ, nhỏ nhất app
  static TextStyle get labelSmall => _textTheme.labelSmall ?? _defaultLabel;
}
